[Overview][Classes][Procedures and functions][Index] | Reference for unit 'streamcoll' (#fcl)

# ColReadFloat

Read a floating point value from a stream

## Declaration

Source position: streamcoll.pp line 80

`function ColReadFloat(`
`S: TStream`
`):Double;`

## Arguments

`S` |  | Stream to read float value from.

## Function result

Float value read from the stream

## Description

ColReadFloat reads a double value from the stream S as it was written by ColWriteFloat and returns the read value. The value cannot be read and written across systems that have different endian values.

## See also

ColReadDateTime |  | Read a TDateTime value from a stream
ColReadBoolean |  | Read a boolean value from a stream
ColReadString |  | Read a string from a stream
ColReadInteger |  | Read a 32-bit integer from a stream.
ColWriteFloat |  | Write floating point value to stream
ColReadCurrency |  | Read a currency value from the stream

The latest version of this document can be found at lazarus-ccr.sourceforge.net.